<?php

namespace FiloBlu\Esb\Model\Consumer;

use FiloBlu\Esb\Api\Data\ConsumerConfigurationInterface;
use FiloBlu\Esb\Api\Data\ConsumerInterface;
use FiloBlu\Esb\Api\Data\MessageInterface;
use FiloBlu\Esb\Api\Data\ObjectTypeDescriptorInterface;
use FiloBlu\Esb\Api\Data\StatusInterface;
use FiloBlu\Esb\Framework\ObjectType\Endpoint\AbstractEndpoint;

/**
 * Class VoidConsumer
 * @package FiloBlu\Esb\Model\Consumer
 */
class VoidConsumer extends AbstractEndpoint implements ConsumerInterface
{
    /**
     * @return string
     */
    public function getName(): string
    {
        return 'Void';
    }

    public function configure(ConsumerConfigurationInterface $configuration): ConsumerInterface
    {
    }

    public function getConfiguration(): ConsumerConfigurationInterface
    {
    }

    public function consume(MessageInterface $message): MessageInterface
    {
    }

    public function getStatus(): StatusInterface
    {
        // TODO: Implement getStatus() method.
    }

    public function getUniqueName(): string
    {
        return 'FiloBlu_Esb::void';
    }

    /**
     * @inheritDoc
     */
    public function isSuitableFor(ObjectTypeDescriptorInterface $objectTypeDescriptor): bool
    {
        return true;
    }
}
